Jump to content

Trouble with my MAC


friscolives
You are about to reply to a thread that has been inactive for 2452 days.

Please take a moment to consider if this thread is worth bumping.

Recommended Posts

I have an IMac, about 2 1/2 to 3 years old. I've been able to run SL on it well, but recently have not been able to load the updates to my viewer ( Firestorm.) and now getting on SL is becoming an issue. I'm worried that soon I wont be able to access it, since I can't download the latest browsers for whatever reason.

I am curious if this is a known problem, or someone knows how to resolve it?

Any advise would be helpful.

Link to post
Share on other sites

3 years cannot be considered as really old, friscolives. However, the graphics card updates coming along with the OS upgrades, you may want to upgrade to something more recent, such as Lion or Mountain Lion. If you are on Snow Leopard 10.6, you can even upgrade directly to Mountain Lion. Check your system specs and have a look on the Apple store. 

Link to post
Share on other sites


friscolives wrote:

I have an IMac, about 2 1/2 to 3 years old. I've been able to run SL on it well, but recently have not been able to load the updates to my viewer ( Firestorm.) and now getting on SL is becoming an issue. I'm worried that soon I wont be able to access it, since I can't download the latest browsers for whatever reason.

I am curious if this is a known problem, or someone knows how to resolve it?

Any advise would be helpful.

Frisco, could you be more specific about why you're unable to download the latest browsers and tell us which version of OS X you're running?

Link to post
Share on other sites
  • 11 months later...

Most of our students who have a MAC are unable to load the SL browser.  One of our teachers was able to load the pre-beta firestorm and it is working, but the SL Browser won't.  So that is about 10 people.  But each one has been told to just upgrade their graphics card.  But obviously that isn't working.  We are not sure how long it will be that the pre-beta firestorm will work on MAC either.  So good luck.

Link to post
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...